<?php
class ClientesTest extends \Codeception\Test\Unit
{
    /**
     * @var \UnitTester
     */
    protected $tester;

    protected function _before()
    {
    }

    protected function _after()
    {
    }

    // tests
    public function testAtualizaStatusCliente()
    {
        $cliente = Clientes::model()->find('CLI_SITUACAO = "P"');
        $this->assertTrue($cliente instanceof Clientes);

        /*prospecto troca status*/
        $this->assertEquals($cliente->CLI_SITUACAO, "P");
        
        $cliente->atualizaStatusCliente(64);
        $this->assertEquals($cliente->CLI_SITUACAO, "D");

        $cliente->atualizaStatusCliente(82);
        $this->assertEquals($cliente->CLI_SITUACAO, "FP");

        $cliente->atualizaStatusCliente(83);
        $this->assertEquals($cliente->CLI_SITUACAO, "FN");

        $cliente->atualizaStatusCliente(84);
        $this->assertEquals($cliente->CLI_SITUACAO, "N");

        $cliente->atualizaStatusCliente(465);
        $this->assertEquals($cliente->CLI_SITUACAO, "NP");

        $cliente->atualizaStatusCliente(479);
        $this->assertEquals($cliente->CLI_SITUACAO, "PI");

        /*cliente ativo não muda status*/
        $cliente = Clientes::model()->find('CLI_SITUACAO = "A"');
        $this->assertEquals($cliente->CLI_SITUACAO, "A");

        $cliente->atualizaStatusCliente(64);
        $this->assertEquals($cliente->CLI_SITUACAO, "A");

        $cliente->atualizaStatusCliente(82);
        $this->assertEquals($cliente->CLI_SITUACAO, "A");

        $cliente->atualizaStatusCliente(83);
        $this->assertEquals($cliente->CLI_SITUACAO, "A");

        $cliente->atualizaStatusCliente(84);
        $this->assertEquals($cliente->CLI_SITUACAO, "A");

        $cliente->atualizaStatusCliente(465);
        $this->assertEquals($cliente->CLI_SITUACAO, "A");

        $cliente->atualizaStatusCliente(479);
        $this->assertEquals($cliente->CLI_SITUACAO, "A");


        /*cliente inativo não muda status*/
        $cliente = Clientes::model()->find('CLI_SITUACAO = "I"');
        $this->assertEquals($cliente->CLI_SITUACAO, "I");

        $cliente->atualizaStatusCliente(64);
        $this->assertEquals($cliente->CLI_SITUACAO, "I");

        $cliente->atualizaStatusCliente(82);
        $this->assertEquals($cliente->CLI_SITUACAO, "I");

        $cliente->atualizaStatusCliente(83);
        $this->assertEquals($cliente->CLI_SITUACAO, "I");

        $cliente->atualizaStatusCliente(84);
        $this->assertEquals($cliente->CLI_SITUACAO, "I");

        $cliente->atualizaStatusCliente(465);
        $this->assertEquals($cliente->CLI_SITUACAO, "I");

        $cliente->atualizaStatusCliente(479);
        $this->assertEquals($cliente->CLI_SITUACAO, "I");
    }
}